package com.example.complexcalculator;

public class Complex {

	public Complex(){
		real=img=0;
	}
	public Complex(double x, double y){
		real = x;
		img = y;
	}	
	public double getReal(){
		return real;
	}
	public double getImg(){
		return img;
	}
	public void setReal(double x){
		real = x;
	}
	public void setImg(double y){
		img = y;
	}
	
	public  Complex Complex_plus_double (Complex c, double constant){
		Complex complejo = new Complex(c.getReal()+constant, c.getImg());	
		return complejo;
	}
	public  Complex Complex_minus_double (Complex c, double constant){
		Complex complejo = new Complex(c.getReal()-constant, c.getImg());	
		return complejo;
	}
	public  Complex Complex_div_double (Complex c, double constant){
		Complex complejo = new Complex(c.getReal()/constant, c.getImg()/constant);	
		return complejo;
	}
	public  Complex Complex_per_double (Complex c, double constant){
		Complex complejo = new Complex(c.getReal()*constant, c.getImg()*constant);	
		return complejo;
	}
	public  Complex Complex_plus_Complex(Complex c1, Complex c2){
		Complex temp = new Complex(c1.getReal()+c2.getReal(),c1.getImg()+c2.getImg());
		return temp;
	}
	public  Complex Complex_minus_Complex(Complex c1, Complex c2){
		Complex temp = new Complex(c1.getReal()-c2.getReal(),c1.getImg()-c2.getImg());
		return temp;
	}
	public  Complex Complex_per_Complex(Complex c1, Complex c2){
		Complex temp = new Complex((c1.getReal()*c2.getReal()-c1.getImg()*c2.getImg()),(c1.getReal()*c2.getImg()+c1.getImg()*c2.getReal()));
		return temp;
	}
	public Complex Complex_div_Complex(Complex c1, Complex c2){
		Complex temp = new Complex(c1.getReal()+c2.getReal(),c1.getImg()+c2.getImg());
		return temp;
	}
	public String Complexto_String(){
		String txt = (real+"+i"+img);
		return txt;
	}
	public boolean hasVal(){
		return(real!=0 || img!=0);
	}
	
	private double real;
	private double img;
	
	
}
